Bug 41941 - screensaver for kdm
Summary: screensaver for kdm
Status: RESOLVED UNMAINTAINED
Alias: None
Product: kdm
Classification: Miscellaneous
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Other
: LO wishlist with 506 votes (vote)
Target Milestone: ---
Assignee: kdm bugs tracker
URL:
Keywords:
: 99887 (view as bug list)
Depends on:
Blocks:
 
Reported: 2002-04-30 08:03 UTC by Greg Coit
Modified: 2018-04-16 20:24 UTC (History)
7 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Greg Coit 2002-04-30 07:53:17 UTC
(*** This bug was imported into bugs.kde.org ***)

Package: kdm
Version: 3.0
Severity: wishlist

Hello

I would really like to run kscreensaver (or whatever
kde 3.0 has) at kdm (I run an internet cafe - running
kde 3.0 - and I'd like something besides a blank
screen after 5 minutes of inactivity at kdm).  

Thanks!

Greg Coit
gregcoit@yahoo.com

__________________________________________________
Do You Yahoo!?
Yahoo! Health - your guide to health and wellness
http://health.yahoo.com
Comment 1 Greg Coit 2003-02-08 20:17:01 UTC
Subject: Re:  screensaver for kdm         

--- Oswald Buddenhagen <ossi@kde.org> wrote:
> ------- You are receiving this mail because: -------
> You reported the bug, or are watching the reporter.
>      
> http://bugs.kde.org/show_bug.cgi?id=41941     
> ossi@kde.org changed:
> 
>            What    |Removed                    
> |Added
>
----------------------------------------------------------------------------
>              Status|UNCONFIRMED                 |NEW
>       everconfirmed|0                           |1
>            Priority|NOR                         |LO


Hello,

I've found out that this is certainly doable (And
available now).  The trick it to follow the
instructions in the xdm man page - these settings are
then incorporated by kdm.  I know have xscreensaver
running while kdm is active (and I forgot to close the
bug (wishlist) report).

Please let me know if there is any information I can
provide.

Thanks!

Greg Coit
gregcoit@yahoo.com 

__________________________________________________
Do you Yahoo!?
Yahoo! Mail Plus - Powerful. Affordable. Sign up now.
http://mailplus.yahoo.com

Comment 2 Oswald Buddenhagen 2003-02-11 06:28:22 UTC
yes, it would be nice if you described what you did. 
 
btw, always quote only what is absolutely necessary to understand the context of 
your reply - in the above case nothing. 
 
Comment 3 Michael Pyne 2004-03-14 00:10:02 UTC
Well, I just tried it, and it seems the general idea would be to edit ${KDEDIR}/share/config/kdm/Xsetup to run xscreensaver &, additionally writing out its pid to a file if you wanted to kill it (using the Xstartup script) before starting the session.

The way I tried it was by running gkrellm2, but somehow that locked up the keyboard almost completely, preventing me from logging in.  Thank God for console login. :-)
Comment 4 Oswald Buddenhagen 2004-03-14 03:51:00 UTC
yeah, both the screensaver and kdm try to grab the keyboard. there is probably a way to prevent xscreensaver from doing this, though.
Comment 5 Yves Glodt 2004-05-08 12:22:13 UTC
Implementing this feature, one must be very careful that no security leak à la
"replace logon.scr with musrmgr.exe" will be included.

http://www.google.com/search?q=replace+logon.scr+with+musrmgr.exe
Has information about that principle
Comment 6 Greg Coit 2004-05-11 00:48:21 UTC
Here's excatly what I did:

I added the following to the /etc/X11/xdm/Xsessions file (near the top right above the "# handle KDM line":

xscreensaver-command -exit
xscreensaver &

Then I added the following to the Xsetup_0 file (right below the part that sets the KDEDIR variable):

xhost +localhost
xscreensaver-command -exit
xscreensaver &

Hope this helps!

I'm going to mark this as resolved....
Comment 7 Oswald Buddenhagen 2004-05-11 00:51:25 UTC
uhm, no, i want built-in support one day. the current solution is beyond the non-techie user.
Comment 8 Colinet Sylvain 2004-11-17 00:34:17 UTC
Yes I don't like xscreensaver, and I want to have diaporama or other stuff that kde provide for screensaver
Comment 9 Mark Eggers 2005-02-14 00:33:21 UTC
While the above is a nice hack, I agree with the above posters in that it would be nice to have the native implementation work.

You will also have to change 
My environment:

Fedora Core 3 with kernel 2.6.10-1.760_FC3
NVidia 5700LE running the NVIDIA-Linux-x86-1.0-6629 drivers
xorg-x11-6.8.1-12.FC3.21
xscreensaver-4.18-4
kdebase-3.3.1-4.3.FC3

Screensavers work fine in preview mode.  Also, if you just run the following from the command line (moebius used), a window will pop up with the screen saver.

/usr/X11R6/lib/xscreensaver/moebius

However, if you add the -root command line switch, an error will occur.  Here is the text of that error.

/usr/X11R6/lib/xscreensaver/moebius -root

X error in moebius:
X Error of failed request:  BadWindow (invalid Window parameter)
  Major opcode of failed request:  3 (X_GetWindowAttributes)
  Resource id in failed request:  0x7
  Serial number of failed request:  248
  Current serial number in output stream:  249

This is the exact same error that you get when you run:

/usr/bin/kdesktop_lock

From this it would appear that there's an incompatibility with the way kdm is providing Window information and the way that a native (xdm) program expects it.

A native solution to this would be nice.
Comment 10 Oswald Buddenhagen 2005-02-21 07:38:02 UTC
*** Bug 99887 has been marked as a duplicate of this bug. ***
Comment 11 Darkness 2005-10-08 15:12:14 UTC
Are there any news? 
This issue still happens with kde 3.4.2 (and FC3).
Comment 12 Angel Blue01 2009-03-05 00:05:34 UTC
Hope this is added to Login Manager in some future version of KDE4
Comment 13 Serhiy Zahoriya 2015-04-26 14:17:06 UTC
I guess this can be closed now.
Comment 14 Nate Graham 2018-04-16 20:24:39 UTC
KDM is unmaintained and not used in KDE Plasma 5.

SDDM is the login manager used in KDE Plasma 5. If you still have this same issue with SDDM, please file an issue on the SDDM bugtracker (after doing a search for existing issues first!): https://github.com/sddm/sddm/issues/